Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/listening/getlisteningrecent

# Recent scrobbles

GET `https://api.rewind.rest/v1/listening/recent`

Returns the most recent scrobbles. Supports date filtering via date, from, and to params and page-based pagination.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Query Parameters

#### limit (query, integer)

#### page (query, integer)

#### date (query, string)

Single day (YYYY-MM-DD). Overrides from/to.

#### from (query, string)

Range start, inclusive (ISO 8601)

#### to (query, string)

Range end, inclusive (ISO 8601)

## Response

#### 200

Recent scrobbles

#### data (array of object, required)

#### properties

#### track (object, required)

#### artist (object, required)

#### album (object, required)

#### scrobbled\_at (string, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/listening/recent' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/listening/recent', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/listening/recent',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "data": [
    {
      "track": {
        "id": "\u2026",
        "name": "\u2026",
        "url": "\u2026",
        "apple_music_url": "\u2026",
        "preview_url": "\u2026"
      },
      "artist": {
        "id": "\u2026",
        "name": "\u2026"
      },
      "album": {
        "id": "\u2026",
        "name": "\u2026",
        "image": "\u2026"
      },
      "scrobbled_at": "string"
    }
  ]
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```
